Skip to content
GET /scim-group

Query Parameters

team_idstring · uuid

Filter groups by team ID.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
display_namestring

Filter groups by display name.

Example: Engineering
idstring · uuid

Filter groups by group ID.

Example: 9c2b104d-74a6-47f2-b93e-c6b611e82391

Response Body

limitnumber
Example: 100
next_cursorstring
Example: MjAyNC0wNS0yMVQwNjoyNTozMy4xMjRa
resultobject[]
created_atstring · date-time

The date and time when the group was first provisioned.

Example: 2021-08-10T10:00:00.000Z
display_namestring

The human-readable name of the group, as pushed by the IdP.

Example: Engineering
external_idstring

The group's identifier in the upstream identity provider.

Example: 8c6c2d1e-okta-group-id
idstring · uuid

The ID of the SCIM group.

Example: 9c2b104d-74a6-47f2-b93e-c6b611e82391
member_countnumber

Number of users currently in this group.

Example: 12
team_idstring · uuid

The ID of the team that owns this SCIM group.

Example: 05daecaf-4365-42e8-8370-8127de5dd717
updated_atstring · date-time

The date and time when the group was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X GET 'https://api.truto.one/scim-group' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.truto.one/scim-group', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/scim-group"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}

response = requests.get(url, headers=headers, params=params)
print(response.json())